MWAWListLevel Struct Reference documentation

Public Types | Public Member Functions | Public Attributes | Friends | List of all members
MWAWListLevel Struct Reference

small structure to keep information about a list level More...

`#include <MWAWList.hxx>`

## Public Types
enum | Type { DEFAULT, NONE, BULLET, DECIMAL, LOWER_ALPHA, UPPER_ALPHA, LOWER_ROMAN, UPPER_ROMAN, LABEL }
| the type of the level More...
enum | Alignment { LEFT, RIGHT, CENTER }
| the item alignment More...

## Public Member Functions
| MWAWListLevel ()
| basic constructor More...
| ~MWAWListLevel ()
| destructor More...
bool | isDefault () const
| returns true if the level type was not set More...
bool | isNumeric () const
| returns true if the list is decimal, alpha or roman More...
void | addTo (librevenge::RVNGPropertyList &propList, MWAWFontManagerPtr fontManager) const
| add the information of this level in the propList More...
int | getStartValue () const
| returns the start value (if set) or 1 More...
int | cmp (MWAWListLevel const &levl) const
| comparison function ( compare all values excepted m_startValues More...

## Public Attributes
Type | m_type
| the type of the level More...
int | m_numBeforeLabels
| the number of label to show before this More...
double | m_labelBeforeSpace
| the extra space between inserting a label More...
double | m_labelWidth
| the minimum label width More...
double | m_labelAfterSpace
| the minimum distance between the label and the text More...
Alignment | m_alignment
| the alignment ( left, center, ...) More...
int | m_startValue
| the actual value (if this is an ordered level ) More...
librevenge::RVNGString | m_label
| the text label More...
librevenge::RVNGString | m_prefix
| string which preceedes the number if we have an ordered level More...
librevenge::RVNGString | m_suffix
| string which follows the number if we have an ordered level More...
librevenge::RVNGString | m_bullet
| the bullet if we have an bullet level More...
int | m_spanId
| the style span id More...
std::string | m_extra
| extra data More...

## Friends
std::ostream & | operator<< (std::ostream &o, MWAWListLevel const &ft)
| operator<< More...

## Detailed Description

small structure to keep information about a list level

## Member Enumeration Documentation

## § Alignment

enum MWAWListLevel::Alignment

the item alignment

Enumerator
LEFT |
RIGHT |
CENTER |

## § Type

enum MWAWListLevel::Type

the type of the level

Enumerator
DEFAULT |
NONE |
BULLET |
DECIMAL |
LOWER_ALPHA |
UPPER_ALPHA |
LOWER_ROMAN |
UPPER_ROMAN |
LABEL |

## Constructor & Destructor Documentation

## § MWAWListLevel()

MWAWListLevel::MWAWListLevel | ( |  | ) |
| inline

basic constructor

Referenced by MWAWList::getLevel().

## § ~MWAWListLevel()

MWAWListLevel::~MWAWListLevel | ( |  | ) |
| inline

destructor

## Member Function Documentation

## § addTo()

void MWAWListLevel::addTo | ( | librevenge::RVNGPropertyList & | propList,
|  | MWAWFontManagerPtr | fontManager
| ) |  | const

add the information of this level in the propList

Referenced by MWAWList::closeElement(), and isNumeric().

## § cmp()

int MWAWListLevel::cmp | ( | MWAWListLevel const & | levl | ) | const

comparison function ( compare all values excepted m_startValues

Referenced by MWAWParagraph::cmp(), getStartValue(), and MWAWList::isCompatibleWith().

## § getStartValue()

int MWAWListLevel::getStartValue | ( |  | ) | const
| inline

returns the start value (if set) or 1

Referenced by addTo(), and MWAWList::set().

## § isDefault()

bool MWAWListLevel::isDefault | ( |  | ) | const
| inline

returns true if the level type was not set

## § isNumeric()

bool MWAWListLevel::isNumeric | ( |  | ) | const
| inline

returns true if the list is decimal, alpha or roman

Referenced by MWAWList::closeElement(), MWAWList::getStartValueForNextElement(), MWAWList::openElement(), and MindWrtParserInternal::ZoneInfo::updateListId().

## Friends And Related Function Documentation

## § operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | MWAWListLevel const & | ft
| ) |  |
| friend

operator<<

Referenced by getStartValue().

## Member Data Documentation

## § m_alignment

Alignment MWAWListLevel::m_alignment

the alignment ( left, center, ...)

Referenced by addTo(), cmp(), operator<<(), and MarinerWrtText::readRulers().

## § m_bullet

librevenge::RVNGString MWAWListLevel::m_bullet

the bullet if we have an bullet level

Referenced by addTo(), cmp(), ActaParser::getMainList(), operator<<(), PowerPoint3Parser::readParagraph(), MsWks4Text::readParagraph(), MarinerWrtText::readRulers(), ClarisDrawTextInternal::Paragraph::updateListLevel(), ClarisWksTextInternal::Paragraph::updateListLevel(), and MoreTextInternal::Paragraph::updateToFinalState().

## § m_extra

std::string MWAWListLevel::m_extra

extra data

Referenced by operator<<(), and MoreText::readCustomListLevel().

## § m_label

librevenge::RVNGString MWAWListLevel::m_label

the text label

Referenced by addTo(), cmp(), operator<<(), and MoreText::readCustomListLevel().

## § m_labelAfterSpace

double MWAWListLevel::m_labelAfterSpace

the minimum distance between the label and the text

Referenced by addTo(), cmp(), ActaParser::getMainList(), operator<<(), and MindWrtParserInternal::ZoneInfo::updateListId().

## § m_labelBeforeSpace

double MWAWListLevel::m_labelBeforeSpace

the extra space between inserting a label

Referenced by addTo(), cmp(), operator<<(), and MindWrtParserInternal::ZoneInfo::updateListId().

## § m_labelWidth

double MWAWListLevel::m_labelWidth

the minimum label width

Referenced by addTo(), cmp(), operator<<(), MsWks4Text::readParagraph(), MarinerWrtText::readRulers(), MindWrtParserInternal::ZoneInfo::updateListId(), ClarisDrawTextInternal::Paragraph::updateListLevel(), ClarisWksTextInternal::Paragraph::updateListLevel(), and MoreTextInternal::Paragraph::updateToFinalState().

## § m_numBeforeLabels

int MWAWListLevel::m_numBeforeLabels

the number of label to show before this

Referenced by addTo(), cmp(), MindWrtParserInternal::ListProperties::getLevel(), ActaParser::getMainList(), operator<<(), ClarisDrawTextInternal::Paragraph::updateListLevel(), ClarisWksTextInternal::Paragraph::updateListLevel(), and MoreTextInternal::Paragraph::updateToFinalState().

## § m_prefix

librevenge::RVNGString MWAWListLevel::m_prefix

string which preceedes the number if we have an ordered level

Referenced by addTo(), cmp(), ActaParser::getMainList(), operator<<(), MindWrtParser::readHeadingCustom(), MindWrtParserInternal::ListProperties::updateHeadingList(), ClarisDrawTextInternal::Paragraph::updateListLevel(), ClarisWksTextInternal::Paragraph::updateListLevel(), and MoreTextInternal::Paragraph::updateToFinalState().

## § m_spanId

int MWAWListLevel::m_spanId

the style span id

Referenced by addTo(), cmp(), operator<<(), and PowerPoint3Parser::readParagraph().

## § m_startValue

int MWAWListLevel::m_startValue

the actual value (if this is an ordered level )

Referenced by getStartValue(), operator<<(), MWAWList::set(), and MindWrtParserInternal::ZoneInfo::updateListId().

## § m_suffix

librevenge::RVNGString MWAWListLevel::m_suffix

string which follows the number if we have an ordered level

Referenced by addTo(), cmp(), ActaParser::getMainList(), operator<<(), MindWrtParser::readHeadingCustom(), MindWrtParserInternal::ListProperties::updateHeadingList(), ClarisDrawTextInternal::Paragraph::updateListLevel(), ClarisWksTextInternal::Paragraph::updateListLevel(), and MoreTextInternal::Paragraph::updateToFinalState().

## § m_type

Type MWAWListLevel::m_type

the type of the level

Referenced by addTo(), cmp(), ActaParser::getMainList(), isDefault(), isNumeric(), operator<<(), MoreText::readCustomListLevel(), MindWrtParser::readHeadingCustom(), PowerPoint3Parser::readParagraph(), MsWks4Text::readParagraph(), MarinerWrtText::readRulers(), MWAWList::set(), MindWrtParserInternal::ListProperties::updateHeadingList(), MindWrtParserInternal::ZoneInfo::updateListId(), ClarisDrawTextInternal::Paragraph::updateListLevel(), ClarisWksTextInternal::Paragraph::updateListLevel(), and MoreTextInternal::Paragraph::updateToFinalState().

The documentation for this struct was generated from the following files:

- MWAWList.hxx
- MWAWList.cxx